#include <math.h>
#define ALIGNSZ 8

unsigned int align_1(unsigned int x) {
  return (x + ALIGNSZ - 1) & ~(ALIGNSZ - 1);
}

unsigned int align_2(unsigned int x) {
  unsigned int boundary = ALIGNSZ;
  while (x > boundary) {
    boundary += ALIGNSZ;
  }
  return boundary;
}

unsigned int align_3(unsigned int x) {
  return ALIGNSZ * ceil((double)x / ALIGNSZ);
}
